GQP
Keywords: uk.ac.bbk.dcs.automed.qproc.GQP class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class GQP

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.OldQueryProcessor
          uk.ac.bbk.dcs.automed.qproc.GQP

    public class GQP

extends OldQueryProcessor

The GQP component coordinates the various global query processor components. Examples include enabling/disabling debug information/cache/logical optimisation/typechecking, using the fragment processor instead of the (default) query annotator, etc.

Author:
  Lucas Zamboulis

Field Summary
`static int` | `LOWER_BOUND` Deprecated.
`static int` | `UPPER_BOUND` Deprecated.

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.OldQueryProcessor
`_annProvider, _evalProvider, _optProvider, _refProvider, afterEv, afterLO, afterQAFP, afterQR, afterSubmit, afterTranslation, beforeTranslation, logger, qpc, src, tc, tgts`

Constructor Summary
`GQP()` Deprecated. use `OldQueryProcessor` instead
`GQP(Schema sourceSchema, Schema[] targetSchemata)` Deprecated. use `OldQueryProcessor` instead

Method Summary

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.OldQueryProcessor
`finalize, loggingInit, process, process, process, showPerformance, typeCheck`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPPER_BOUND

    public static final int UPPER_BOUND

  Deprecated.
  See Also:
    Constant Field Values

### LOWER_BOUND

    public static final int LOWER_BOUND

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### GQP

    public GQP()
        throws QProcException

  Deprecated. use `OldQueryProcessor` instead

  Throws:
    `QProcException`

### GQP

    public GQP(Schema sourceSchema,
               Schema[] targetSchemata)
        throws QProcException

  Deprecated. use `OldQueryProcessor` instead

  Throws:
    `QProcException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD